Bug 429514 - Administration Server Console : incorrect apache server error log parsing
Administration Server Console : incorrect apache server error log parsing
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: UI - Configuration (Show other bugs)
1.1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2008-01-21 04:42 EST by Andrey Ivanov
Modified: 2015-01-04 18:30 EST (History)
4 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:01:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The screencap of the bug (307.02 KB, image/jpeg)
2008-01-21 04:44 EST, Andrey Ivanov
no flags Details
diffs (5.57 KB, patch)
2008-12-09 21:47 EST, Rich Megginson
no flags Details | Diff
new screenshot (231.89 KB, image/jpeg)
2008-12-09 21:48 EST, Rich Megginson
no flags Details
cvs commit log (512 bytes, text/plain)
2008-12-10 09:58 EST, Rich Megginson
no flags Details

  None (edit)
Description Andrey Ivanov 2008-01-21 04:42:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
The contents of the apache "error" log is incorrectly parsed and displayed in the java Administration console. The "Date" and "Time" fields are incorrect.

Version-Release number of selected component (if applicable):
Windows Console for Fedora DS 1.1

How reproducible:
Always


Steps to Reproduce:
1.Connect to the Administration Server console.
2.Choose the tab "Configuration" -> Logs -> Errors
3.Choose any line
4.Look at the parsed result (the bottom right panel)

Actual Results:
The parsed results incorrectly show the contents of error log. For example, if the original apache error log line is
"[Mon Jan 21 10:21:28 2008] [notice] Apache/2.2 configured -- resuming normal operations"
the graphical parsed "Date" is "Mon Jan 21 10" and the "Time" is "21:28 2008"

Expected Results:
For the example cited above the Date should be "21 Jan 2008" and the "Time" should be "10:21:28"

Additional info:
I think it is the general case for the console on Linux or any other OS, it is not specific to Windows or architecture.
Comment 1 Andrey Ivanov 2008-01-21 04:44:04 EST
Created attachment 292347 [details]
The screencap of the bug

The attachment shows the screencap with the described line and the bug.
Comment 4 Rich Megginson 2008-12-09 21:47:23 EST
Created attachment 326442 [details]
diffs
Comment 5 Rich Megginson 2008-12-09 21:48:41 EST
Created attachment 326443 [details]
new screenshot
Comment 6 Rich Megginson 2008-12-10 09:58:07 EST
Created attachment 326516 [details]
cvs commit log

Reviewed by: nkinder (Thanks!)
Fix Description: The error log date/time are together in one field.  Just combine them into one column in the log viewer.
New screenshot - https://bugzilla.redhat.com/attachment.cgi?id=326443
Platforms tested: RHEL5
Flag Day: no
Doc impact: yes - will have to document the new log format
Comment 7 Jenny Galipeau 2009-03-19 10:29:22 EDT
fix verified windows 2003 Enterprise IDM console (console framework 1.1.3) - DS 8.1 THEL 5
Comment 8 Chandrasekar Kannan 2009-04-29 19:01:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.